	DEVICE	ZXSPECTRUM48

	org     #7d00		;32000

begin:	equ $

;--------------------------------------------------------------
;KOVER TV (32b NFT intro)
;--------------------------------------------------------------
	ld	h,#7c		
;!!!	ld	a,h		;opcode #7c is inside ld h,#7c
kv:	rra			;
        sbc	a,a		;
	cpl			;invert color order
        xor	l		;
	and	%01011111	;FLASH off %01111111 , also good %01011111
        ld	(hl),a
	xor	(hl)		;check if HL=#3FFF ?
	dec	hl
        jr	z,kv-1	
;--------------------------------------------------------------
	ld	a,%11111101	;#FD,#FC,#FB - good for scroll
	        		;#FD for release, also #03,#39,#C4
next:	ld	d,#57		;ld de,#57ff
tv:	rra
	ld	(de),a
	dec	de
	dec	a	
	bit	6,d
	jr	nz,tv
fx:	djnz	next
	out	(#fe),a		;change border color	
	rlca			;next pattern via "inc/dec a" or whatever
				;rlca works great
				;daa works fine
	jr	fx		;for 1 frame faster FX change
fin:

	SAVESNA	"kover-tv.sna", begin
	SAVEBIN	"kover-tv.bin", begin,fin-begin
